### Function

# GLib HashTable get_values

since: 2.14

#### Declaration

    GList*
    g_hash_table_get_values (
      GHashTable* hash_table
    )

#### Description

Retrieves every value inside `hash_table`. The returned data is valid until `hash_table` is modified.

This iterates over every entry in the hash table to build its return value. To iterate over the entries in a `GHashTable` more efficiently, use a `GHashTableIter`.

Available since: 2.14

This function is not directly available to language bindings.

#### Parameters

`hash_table`

  Type: `GHashTable`

  A `GHashTable`.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

A `GList` containing all the values inside the hash table. The content of the list is owned by the hash table and should not be modified or freed. Use `g_list_free()` when done using the list.

The caller of the function takes ownership of the data container, but not the data inside it.